#!/bin/bash

# Ejecutar todos los pipelines definidos en pipeline.yml
if [[ -f "pipeline.yml" ]]; then
  echo "Ejecutando pipelines definidos en pipeline.yml..."
  # Leer el archivo completo y enviar su contenido a OpenSearch
  curl -X PUT "https://localhost:9200/_ingest/pipeline/_bulk" \
  -H "Content-Type: application/json" \
  -u "admin:$OPENSEARCH_INITIAL_ADMIN_PASSWORD" \
  --cacert "CA/certs/ca.crt.pem" \
  -d @pipeline.yml
else
  echo "No se encontró pipeline.yml. No se ejecutaron pipelines."
fi
